<form name="add_user_to_domain" method="POST"
    action="clientarea.php?action=productdetails&id={$params['serviceid']}&action_m=ftp">
    <p>
    <label for="domains-select">{$lang['Choose web domain:']}</label>
    

    <select class="field form-control vst-list short" name="domain_add_user" id="domains-select">
        <option value="">{$lang['--Please choose an option--']}</option>
        {foreach from=$list_web_domains key=k item=v}
            {if $v['SUSPENDED']=="yes"}
                <option value="{$k}">{$k} ({$lang['Suspended']})</option>
            {else} 
                <option value="{$k}">{$k}</option>
            {/if}
            
        {/foreach}
    </select>
    </p>

    <p>{{$lang['Username']}}:
        <input type="hidden" name="new_ftp_user" class="VALUE form-control"
            placeholder="{{$params['username']}}_{{$lang['Username']}}" value={$randomUser}>
        {* <h4><label id="icards">{{$params['username']}}_{$randomUser}</label></h4> *}

        <div class="input-group" style="flex: 1;">
            <input type="text" id="icards" name="login" class="form-control"
                        value="{{$params['username']}}_{$randomUser}" disabled>
            <div class="input-group-append">
                <button onclick="copyLogin()" id="copyLoginButton" class="btn btn-outline-danger"
                    type="button">
                    <i class="fa fa-copy"></i>
                </button>
            </div>
        </div>
    </p>
    <p>{{$lang['Password']}}:
    <div class="row p-3" style="min-width: 250px;">
        {*          <div class="col-10 align-items-center">*}
        <div class="d-flex" style="width: 100%;">
            <div class="input-group" style="flex: 1;">
                <input type="password" id="password" name="password" class="form-control"
                       value="{$randomPassword}" disabled>
                <div class="input-group-append">
                    <button id="showPasswordButton" class="btn btn-outline-secondary" type="button">
                        <i class="fa fa-eye"></i>
                    </button>
                    <button onclick="copyPassword()" id="copyPasswordButton" class="btn btn-outline-danger"
                            type="button">
                        <i class="fa fa-copy"></i>
                    </button>
                </div>
            </div>
        </div>
        {*          </div>*}
    </div>
           <input type="hidden" name="new_ftp_password" class="VALUE form-control" placeholder="{{$lang['Enter password']}}"
           value={$randomPassword}>
    </p>
    <div class="form-group text-center">
        <button class="btn btn-default" onclick="loading()" type="submit" name="add_new_ftp_user"
            value="add_new_ftp_user">
            <span class="border-span">
                <i class="fa fa-user"></i>
                {$lang['Add a new user']}
            </span>
        </button>
        <button data-dismiss="modal" class="btn btn-danger">
            <span class="border-span">
                <i class="fa fa-share"></i>
                {$lang['Close']}
            </span>
        </button>
    </div>
</form>


{literal}
    <script>
        window.addEventListener('load', function() {
            var passwordField = document.getElementById('password');
            const showPasswordButton = document.getElementById('showPasswordButton');


            function startShowPassword() {
                passwordField.type = 'text';
            }

            function endShowPassword() {
                passwordField.type = 'password';
            }

            showPasswordButton.addEventListener('mousedown', startShowPassword);
            showPasswordButton.addEventListener('mouseup', endShowPassword);
            showPasswordButton.addEventListener('mouseleave', endShowPassword);

            showPasswordButton.addEventListener('touchstart', startShowPassword);
            showPasswordButton.addEventListener('touchend', endShowPassword);
            showPasswordButton.addEventListener('touchcancel', endShowPassword);


        });
        function copyPassword() {
            const input = document.getElementById('password');
            navigator.clipboard.writeText(input.value).then(() => {
                alert('Copied to clipboard: ' + input.value);
            }).catch(err => {
                console.error('Copy error: ', err);
            });
        }

        function copyLogin() {
            const input = document.getElementById('icards');
            navigator.clipboard.writeText(input.value).then(() => {
                alert('Copied to clipboard: ' + input.value);
            }).catch(err => {
                console.error('Copy error: ', err);
            });
        }
    </script>
{/literal}
